<html devsite><head>
    <title>Android 安全公告 - 2018 年 10 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2018 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->
<p><em>发布时间：2018 年 10 月 1 日 | 更新时间：2018 年 10 月 1 日</em></p>

<p>
本 Android 安全公告详细介绍了会影响 Android 设备的安全漏洞。安全补丁程序级别为 2018-10-05 或更新的 Android 系统都已解决本公告中所述的所有问题。要了解如何查看设备的安全补丁程序级别，请参阅<a href="https://support.google.com/pixelphone/answer/4457705" class="external">查看并更新 Android 版本</a>。
</p>
<p>
Android 合作伙伴在本公告发布前至少一个月就已收到关于所有问题的通知。我们已将针对这些问题的源代码补丁程序发布到 Android 开源项目 (AOSP) 代码库中，并在本公告中提供了相应链接。本公告中还提供了指向 AOSP 之外的补丁程序的链接。</p>
<p>
这些问题中危险性最高的是框架中的一个严重程度为“严重”的安全漏洞，该漏洞可让远程攻击者利用蓄意创建的文件在特权进程环境中执行任意代码。<a href="/security/overview/updates-resources.html#severity">严重程度评估</a>的依据是漏洞被利用后可能会对受影响的设备造成的影响（假设相关平台和服务缓解措施被成功规避或出于开发目的而被停用）。
</p>
<p>
尚未有人向我们举报过有用户主动利用或滥用这些新报告的问题。请参阅 <a href="#mitigations">Android 和 Google Play 保护机制提供的缓解措施</a>部分，详细了解有助于提高 Android 平台安全性的 <a href="/security/enhancements/">Android 安全平台防护功能</a>和 Google Play 保护机制。
</p>
<p class="note">
<strong>注意</strong>：如需了解适用于 Google 设备的最新无线下载更新 (OTA) 和固件映像，请参阅 <a href="/security/bulletin/pixel/2018-10-01">2018 年 10 月的 Pixel / Nexus 安全公告</a>。
</p>

<h2 id="mitigations">Android 和 Google 服务缓解措施</h2>
<p>
这一部分总结了 <a href="/security/enhancements/">Android 安全平台</a>和服务防护功能（如 <a href="https://www.android.com/play-protect" class="external">Google Play 保护机制</a>）提供的缓解措施。这些功能有助于降低 Android 上的安全漏洞被成功利用的可能性。
</p>
<ul>
<li>较高版本的 Android 平台中提供的增强功能让攻击者更加难以利用 Android 上存在的许多问题。我们建议所有用户都尽可能更新到最新版 Android。</li>
<li>Android 安全团队会积极利用 <a href="https://www.android.com/play-protect" class="external">Google Play 保护机制</a>监控滥用行为，并会在发现<a href="/security/reports/Google_Android_Security_PHA_classifications.pdf">潜在有害应用</a>时向用户发出警告。在安装有 <a href="http://www.android.com/gms" class="external">Google 移动服务</a>的设备上，Google Play 保护机制会默认处于启用状态，对于从 Google Play 以外的来源安装应用的用户来说，该功能尤为重要。</li>
</ul>
<h2 id="2018-10-01-details">2018-10-01 安全补丁程序级别漏洞详情</h2>
<p>
我们在下面提供了 2018-10-01 补丁程序级别涵盖的每个安全漏洞的详细信息。漏洞列在所影响的组件下，内容包括问题描述和一个表，该表中包含 CVE、相关参考编号、<a href="#type">漏洞类型</a>、<a href="/security/overview/updates-resources.html#severity">严重程度</a>和已更新的 AOSP 版本（如果适用）。如果有解决相应问题的公开更改记录（例如 AOSP 代码更改列表），我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录，我们还会通过 Bug ID 后面的数字链接到更多参考内容。
</p>

<h3 id="framework">框架</h3>
<p>这一部分中最严重的漏洞可让远程攻击者利用蓄意创建的文件在特权进程环境中执行任意代码。</p>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考编号</th>
    <th>类型</th>
    <th>严重程度</th>
    <th>已更新的 AOSP 版本</th>
  </tr>
  <tr>
   <td>CVE-2018-9490</td>
   <td><a href="https://android.googlesource.com/platform/external/chromium-libpac/+/948d4753664cc4e6b33cc3de634ac8fd5f781382">A-111274046</a> [<a href="https://android.googlesource.com/platform/external/v8/+/a24543157ae2cdd25da43e20f4e48a07481e6ceb">2</a>]</td>
   <td>EoP</td>
   <td>严重</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9491</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/2b4667baa5a2badbdfec1794156ee17d4afef37c">A-111603051</a></td>
   <td>RCE</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9492</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/962fb40991f15be4f688d960aa00073683ebdd20">A-111934948</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9493</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/462aaeaa616e0bb1342e8ef7b472acc0cbc93deb">A-111085900</a> [<a href="https://android.googlesource.com/platform/packages/providers/DownloadProvider/+/e7364907439578ce5334bce20bb03fef2e88b107">2</a>] [<a href="https://android.googlesource.com/platform/frameworks/base/+/ebc250d16c747f4161167b5ff58b3aea88b37acf">3</a>]</td>
   <td>ID</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9452</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/54f661b16b308cf38d1b9703214591c0f83df64d">A-78464361</a> [<a href="https://android.googlesource.com/platform/frameworks/base/+/3b6f84b77c30ec0bab5147b0cffc192c86ba2634">2</a>]</td>
   <td>DoS</td>
   <td>中</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
</tbody></table>

<h3 id="media-framework">媒体框架</h3>
<p>这一部分中最严重的漏洞可让远程攻击者利用蓄意创建的文件在特权进程环境中执行任意代码。</p>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考编号</th>
    <th>类型</th>
    <th>严重程度</th>
    <th>已更新的 AOSP 版本</th>
  </tr>
  <tr>
   <td>CVE-2018-9473</td>
   <td><a href="https://android.googlesource.com/platform/external/libhevc/+/9f0fb67540d2259e4930d9bd5f1a1a6fb95af862">A-65484460</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>8.0</td>
  </tr>
  <tr>
   <td>CVE-2018-9496</td>
   <td><a href="https://android.googlesource.com/platform/external/libxaac/+/04e8cd58f075bec5892e369c8deebca9c67e855c">A-110769924</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>9</td>
  </tr>
  <tr>
   <td>CVE-2018-9497</td>
   <td><a href="https://android.googlesource.com/platform/external/libmpeg2/+/bef16671c891e16f25a7b174bc528eea109357be">A-74078669</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9498</td>
   <td><a href="https://android.googlesource.com/platform/external/skia/+/77c955200ddd1761d6ed7a6c1578349fedbb55e4">A-78354855</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1</td>
  </tr>
  <tr>
   <td>CVE-2018-9499</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/bf7a67c33c0f044abeef3b9746f434b7f3295bb1">A-79218474</a></td>
   <td>ID</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
</tbody></table>

<h3 id="system">系统</h3>
<p>这一部分中最严重的漏洞可让邻近区域内的攻击者在特权进程环境中执行任意代码。</p>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考编号</th>
    <th>类型</th>
    <th>严重程度</th>
    <th>已更新的 AOSP 版本</th>
  </tr>
  <tr>
   <td>CVE-2017-13283</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/ebc284cf3a59ee5cf7c06af88c2f3bcd0480e3e9">A-78526423</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9476</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/dd28d8ddf2985d654781770c691c60b45d7f32b4">A-109699112</a></td>
   <td>EoP</td>
   <td>严重</td>
   <td>8.0、8.1</td>
  </tr>
  <tr>
   <td>CVE-2018-9504</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/11fb7aa03437eccac98d90ca2de1730a02a515e2">A-110216176</a></td>
   <td>RCE</td>
   <td>严重</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9501</td>
   <td><a href="https://android.googlesource.com/platform/packages/apps/Settings/+/5e43341b8c7eddce88f79c9a5068362927c05b54">A-110034419</a></td>
   <td>EoP</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9502</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/92a7bf8c44a236607c146240f3c0adc1ae01fedf">A-111936792</a> [<a href="https://android.googlesource.com/platform/system/bt/+/d4a34fefbf292d1e02336e4e272da3ef1e3eef85">2</a>] [<a href="https://android.googlesource.com/platform/system/bt/+/9fe27a9b445f7e911286ed31c1087ceac567736b">3</a>]</td>
   <td>ID</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9503</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/92a7bf8c44a236607c146240f3c0adc1ae01fedf">A-80432928</a> [<a href="https://android.googlesource.com/platform/system/bt/+/d4a34fefbf292d1e02336e4e272da3ef1e3eef85">2</a>] [<a href="https://android.googlesource.com/platform/system/bt/+/9fe27a9b445f7e911286ed31c1087ceac567736b">3</a>]</td>
   <td>ID</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9505</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/5216e6120160b28d76e9ee4dff9995e772647511">A-110791536</a></td>
   <td>ID</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9506</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/830cb39cb2a0f1bf6704d264e2a5c5029c175dd7">A-111803925</a></td>
   <td>ID</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9507</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/30cec963095366536ca0b1306089154e09bfe1a9">A-111893951</a></td>
   <td>ID</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9508</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/e8bbf5b0889790cf8616f4004867f0ff656f0551">A-111936834</a></td>
   <td>ID</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1</td>
  </tr>
  <tr>
   <td>CVE-2018-9509</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/198888b8e0163bab7a417161c63e483804ae8e31">A-111937027</a></td>
   <td>ID</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9510</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/6e4b8e505173f803a5fc05abc09f64eef89dc308">A-111937065</a></td>
   <td>ID</td>
   <td>高</td>
   <td>7.0、7.1.1、7.1.2、8.0、8.1、9</td>
  </tr>
  <tr>
   <td>CVE-2018-9511</td>
   <td><a href="https://android.googlesource.com/platform/system/netd/+/931418b16c7197ca2df34c2a5609e49791125abe">A-111650288</a></td>
   <td>DoS</td>
   <td>高</td>
   <td>9</td>
  </tr>
</tbody></table>

<h2 id="2018-10-05-details">2018-10-05 安全补丁程序级别漏洞详情</h2>
<p>
我们在下面提供了 2018-10-05 补丁程序级别涵盖的每个安全漏洞的详细信息。漏洞列在所影响的组件下，内容包括 CVE、相关参考编号、<a href="#type">漏洞类型</a>、<a href="/security/overview/updates-resources.html#severity">严重程度</a>、组件（如果适用）和已更新的 AOSP 版本（如果适用）等详细信息。如果有解决相应问题的公开更改记录（例如 AOSP 代码更改列表），我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录，我们还会通过 Bug ID 后面的数字链接到更多参考内容。
</p>

<h3 id="kernel-components">内核组件</h3>
<p>这一部分中最严重的漏洞可让本地恶意应用在特权进程环境中执行任意代码。</p>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考编号</th>
    <th>类型</th>
    <th>严重程度</th>
    <th>组件</th>
  </tr>
  <tr>
    <td>CVE-2018-9513</td>
    <td>A-111081202<a href="#asterisk">*</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>Fork</td>
  </tr>
  <tr>
    <td>CVE-2018-9514</td>
    <td>A-111642636<a href="#asterisk">*</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>sdcardfs</td>
  </tr>
  <tr>
    <td>CVE-2018-9515</td>
    <td>A-111641492<a href="#asterisk">*</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>sdcardfs</td>
  </tr>
</tbody></table>

<h2 id="common-questions-and-answers">常见问题和解答</h2>
<p>这一部分解答了用户在阅读本公告后可能会提出的常见问题。</p>
<p><strong>1. 如何确定我的设备是否已通过更新解决这些问题？</strong></p>
<p>要了解如何查看设备的安全补丁程序级别，请参阅<a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices" class="external">查看并更新 Android 版本</a>。</p>
<ul>
<li>如果安全补丁程序级别是 2018-10-01 或更新，则意味着已解决 2018-10-01 安全补丁程序级别涵盖的所有问题。</li>
<li>如果安全补丁程序级别是 2018-10-05 或更新，则意味着已解决 2018-10-05 以及之前的所有安全补丁程序级别涵盖的所有问题。</li>
</ul>
<p>预装这些更新的设备制造商应将补丁程序字符串级别设为：</p>
<ul>
 <li>[ro.build.version.security_patch]:[2018-10-01]</li>
 <li>[ro.build.version.security_patch]:[2018-10-05]</li>
</ul>
<p><strong>2. 为何本公告有 2 个安全补丁程序级别？</strong></p>
<p>
本公告之所以有 2 个安全补丁程序级别，是为了让 Android 合作伙伴能够灵活地、更快速地修复在各种 Android 设备上类似的一系列漏洞。我们建议 Android 合作伙伴修复本公告中列出的所有问题并使用最新的安全补丁程序级别。
</p>
<ul>
<li>如果设备使用的是 2018-10-01 这一安全补丁程序级别，则必须包含该安全补丁程序级别涵盖的所有问题以及之前的安全公告中报告的所有问题的修复程序。</li>
<li>如果设备使用的是 2018-10-05 或更新的安全补丁程序级别，则必须包含本安全公告（以及之前的安全公告）中的所有适用补丁程序。</li>
</ul>
<p>
我们建议合作伙伴将要解决的全部问题的修复程序打包到一个更新中。
</p>
<p id="type">
<strong>3.“类型”列中的条目表示什么意思？<em></em></strong>
</p>
<p>
在漏洞详情表内，“类型”列中的条目是安全漏洞的分类。<em></em>
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>缩写词</th>
   <th>定义</th>
  </tr>
  <tr>
   <td>RCE</td>
   <td>远程代码执行</td>
  </tr>
  <tr>
   <td>EoP</td>
   <td>提权</td>
  </tr>
  <tr>
   <td>ID</td>
   <td>信息披露</td>
  </tr>
  <tr>
   <td>DoS</td>
   <td>拒绝服务</td>
  </tr>
  <tr>
   <td>N/A</td>
   <td>没有分类</td>
  </tr>
</tbody></table>
<p>
<strong>4.“参考编号”列中的条目表示什么意思？<em></em></strong>
</p>
<p>
在漏洞详情表内，“参考编号”列中的条目可能包含用于标识参考值所属组织的前缀。<em></em>
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>前缀</th>
   <th>参考编号</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Android Bug ID</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Qualcomm 参考编号</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>MediaTek 参考编号</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>NVIDIA 参考编号</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Broadcom 参考编号</td>
  </tr>
</tbody></table>
<p id="asterisk">
<strong>5. 在“参考编号”列中，Android Bug ID 旁边的 * 表示什么意思？<em></em></strong>
</p>
<p>
如果问题尚未公开发布，则在“参考编号”列中，相应 Android Bug ID 旁边会显示 *。<em></em><a href="https://developers.google.com/android/drivers" class="external">Google Developers 网站</a>上针对 Pixel/Nexus 设备提供的最新二进制驱动程序中通常包含用于解决相应问题的更新。
</p>
<p>
<strong>6. 为什么要将安全漏洞拆分到本公告和设备 / 合作伙伴安全公告（如 Pixel/Nexus 公告）中？</strong>
</p>
<p>
要在 Android 设备上声明最新的安全补丁程序级别，必须修复本安全公告中记录的安全漏洞。但在声明安全补丁程序级别时，并不是必须要修复设备/合作伙伴安全公告中记录的其他安全漏洞。我们建议 Android 设备和芯片组制造商通过自己的安全网站（例如 <a href="https://security.samsungmobile.com/securityUpdate.smsb" class="external">Samsung</a>、<a href="https://lgsecurity.lge.com/security_updates.html" class="external">LGE</a> 或 <a href="/security/bulletin/pixel/" class="external">Pixel/Nexus</a> 安全公告）记录其设备上存在的其他修复程序。
</p>

<h2 id="versions">版本</h2>
<table>
  <colgroup><col width="25%" />
  <col width="25%" />
  <col width="50%" />
  </colgroup><tbody><tr>
   <th>版本</th>
   <th>日期</th>
   <th>备注</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>2018 年 10 月 1 日</td>
   <td>发布了本公告。</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>2018 年 10 月 1 日</td>
   <td>在本公告中添加了 AOSP 链接。</td>
  </tr>
</tbody></table>

</body></html>